# Uses of Interface
javax.swing.event.InternalFrameListener

Packages that use InternalFrameListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of InternalFrameListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type InternalFrameListener
Modifier and Type
Method
Description
`static void`
SwingEventMonitor.`addInternalFrameListener(InternalFrameListener l)`
Adds the specified listener to receive all `INTERNALFRAME` events on each component instance in the Java Virtual Machine as they occur.
`static void`
SwingEventMonitor.`removeInternalFrameListener(InternalFrameListener l)`
Removes the specified listener so it no longer receives `INTERNALFRAME` events when they occur.

## Uses of InternalFrameListener in javax.swing

Methods in javax.swing that return InternalFrameListener
Modifier and Type
Method
Description
`InternalFrameListener[]`
JInternalFrame.`getInternalFrameListeners()`
Returns an array of all the `InternalFrameListener`s added to this `JInternalFrame` with `addInternalFrameListener`.
Methods in javax.swing with parameters of type InternalFrameListener
Modifier and Type
Method
Description
`void`
JInternalFrame.`addInternalFrameListener(InternalFrameListener l)`
Adds the specified listener to receive internal frame events from this internal frame.
`void`
JInternalFrame.`removeInternalFrameListener(InternalFrameListener l)`
Removes the specified internal frame listener so that it no longer receives internal frame events from this internal frame.

## Uses of InternalFrameListener in javax.swing.event

Classes in javax.swing.event that implement InternalFrameListener
Modifier and Type
Class
Description
`class`
`InternalFrameAdapter`
An abstract adapter class for receiving internal frame events.

## Uses of InternalFrameListener in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement InternalFrameListener
Modifier and Type
Class
Description
`protected class`
`BasicInternalFrameUI.BasicInternalFrameListener`
Basic internal frame listener.